org.apache.jasper.compiler

## Class JspConfig

- java.lang.Object
- - org.apache.jasper.compiler.JspConfig

    public class JspConfig
    extends Object

Handles the jsp-config element in WEB_INF/web.xml. This is used for specifying the JSP configuration information on a JSP page

Author:
  Kin-man Chung, Remy Maucherat

### Nested Class Summary

Nested Classes
`static class` `JspConfig.JspProperty`
`static class` `JspConfig.JspPropertyGroup`

### Constructor Summary

Constructors
Constructor and Description
`JspConfig(ServletContext ctxt)`

### Method Summary

Methods
`JspConfig.JspProperty` `findJspProperty(String uri)` Find a property that best matches the supplied resource.
`boolean` `isJspPage(String uri)` To find out if an uri matches an url pattern in jsp config.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspConfig

    public JspConfig(ServletContext ctxt)

### Method Detail

#### findJspProperty

    public JspConfig.JspProperty findJspProperty(String uri)
                                          throws JasperException

Find a property that best matches the supplied resource.

Parameters:
  `uri` - the resource supplied.
Returns:
  a JspProperty indicating the best match, or some default.
Throws:
  `JasperException`

#### isJspPage

    public boolean isJspPage(String uri)
                      throws JasperException

To find out if an uri matches an url pattern in jsp config. If so, then the uri is a JSP page. This is used primarily for jspc.

Throws:
  `JasperException`